
Robotics Service Bus - Tasks #292
Fix communication with C++ baseline
05/12/2011 03:11 PM - J. Wienke

Status: Resolved Start date: 02/17/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Python Estimated time: 7.00 hours
Target version: 0.2
Description

    -  md5 sums for group names
    -  Scope class
    -  hierarchical sending
    -  separation of domain and wire schema
    -  QoS
    -  Configuration compatible to C++ implementation (currently especially spread options)

Subtasks:
Feature # 195: Integrate Option File Parsing Resolved
Enhancement # 302: Adapt converter selection Resolved
Bug # 307: QoS options are not respected by connectors Resolved

Associated revisions
Revision 857dd494 - 05/16/2011 07:13 PM - J. Wienke

use md5 encoded group names in spread port

refs #292

Revision 915f2a70 - 05/16/2011 11:52 PM - J. Wienke

finalize scope class

refs #292

Revision 81591d81 - 05/17/2011 12:28 AM - J. Wienke

Use scope class instead of string uris

refs #292

Revision bfdd81c2 - 05/17/2011 12:23 PM - J. Wienke

implement hierarchical sending in spread

refs #292

Revision 8e559700 - 05/17/2011 02:32 PM - J. Wienke
implemented message sequencing

refs #292

Revision 564b45d0 - 05/17/2011 06:34 PM - J. Wienke

add a QoS class

refs #292

Revision f0e28b79 - 05/18/2011 11:35 AM - J. Wienke

integrate QoS

refs #292

History
#1 - 05/16/2011 02:33 PM - J. Wienke
- Target version set to 0.2

#2 - 05/16/2011 06:54 PM - J. Wienke
- Status changed from New to In Progress

#3 - 05/20/2011 03:46 PM - J. Wienke

The QoS class must still be used from ParticipantConfig.

#4 - 05/23/2011 05:39 PM - J. Moringen
- Status changed from In Progress to Resolved
